class = require 'middleclass'
stateful = require 'stateful'
lume = require 'lume'
lurker = require 'lurker'

require 'game'
require 'menu'

function love.load()
	game = Game:new()
end

function love.keypressed(key)
	if key == ' ' then
		self:gotoState('Menu')
	end
end

function love.update(dt)
	lurker:update()
	game:update(dt)
end

function love.draw()
	love.graphics.print('Press space to go to the menu state.')
	game:draw()
end
